### Name: aggregateDB
### Title: Aggregate database tables
### Aliases: aggregateDB mergeSQL
### Keywords: misc

### ** Examples

## Not run: 
##D # This is a real life data management example from the author's work.
##D # It is the very reason for the existence of aggregatedDB
##D #
##D # First we have to 'plug in' the data base ...
##D library(RSQLite)
##D if(!exists("drv"))
##D   drv <- dbDriver("SQLite")
##D if(!exists("con"))
##D   con <- dbConnect(drv, dbname = "~/forschung/pieb.db3")
##D # This is a 400 MB SQLite data base that contains
##D # several tables contructed from cumulated eurobarometer
##D # survey data files, spanning the period from 1973 to 2002.
##D 
##D poldisc.data <- aggregateDB(table(poldisc)~nation+eb+educrec+sex+age+year,
##D             subset = educrec < 900 & sex < 900 & age < 900 & poldisc < 900,
##D             connection=con,
##D             allow.sql.eval=TRUE,
##D             table="ebtrend",
##D             names=c(educrec="education",sex="gender")
##D             )
##D 
##D polint.poldisc.data <- aggregateDB(percent(polint)~poldisc,
##D             subset=polint < 900 & poldisc < 900,
##D             connection=con,
##D             table=mergeSQL("political_interest","ebtrend",by=c("nation","eb","id")))
##D 
## End(Not run)



